Bug 843643 - enigma FTBFS in rawhide
enigma FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: enigma (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 16:53 EDT by Tom Lane
Modified: 2013-07-02 23:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: enigma-1.01-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-27 06:43:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for gcc wanting "this" (592 bytes, patch)
2012-07-26 16:54 EDT, Tom Lane
no flags Details | Diff
patch for libpng no longer exposing struct png_info (602 bytes, patch)
2012-07-26 16:54 EDT, Tom Lane
no flags Details | Diff

  None (edit)
Description Tom Lane 2012-07-26 16:53:24 EDT
Description of problem:
enigma has failed the last couple of mass rebuilds as a result of (a) libpng 1.5 incompatibility and (b) gcc 4.7 getting even stricter.  I attach two patches that fix these issues.

Version-Release number of selected component (if applicable):
enigma-1.01-19.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  Try to build in rawhide.
Comment 1 Tom Lane 2012-07-26 16:54:08 EDT
Created attachment 600606 [details]
patch for gcc wanting "this"
Comment 2 Tom Lane 2012-07-26 16:54:48 EDT
Created attachment 600607 [details]
patch for libpng no longer exposing struct png_info
Comment 3 Michal Schmidt 2012-07-27 06:43:36 EDT
Tom, thank you for the patches!
Applied and built:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4335738

Note You need to log in before you can comment on or make changes to this bug.